summaryrefslogtreecommitdiffstats
path: root/ubuntu/lucid_automake/kdebase/debian/kicker-kde3.preinst
diff options
context:
space:
mode:
Diffstat (limited to 'ubuntu/lucid_automake/kdebase/debian/kicker-kde3.preinst')
-rw-r--r--ubuntu/lucid_automake/kdebase/debian/kicker-kde3.preinst26
1 files changed, 26 insertions, 0 deletions
diff --git a/ubuntu/lucid_automake/kdebase/debian/kicker-kde3.preinst b/ubuntu/lucid_automake/kdebase/debian/kicker-kde3.preinst
new file mode 100644
index 000000000..b134519c1
--- /dev/null
+++ b/ubuntu/lucid_automake/kdebase/debian/kicker-kde3.preinst
@@ -0,0 +1,26 @@
+#! /bin/sh -e
+
+case "$1" in
+
+ upgrade)
+ rm -f /etc/menu-methods/kdebase
+ rm -f /etc/kde3/debian/kde-update-menu.sh
+ rm -f /etc/menu-methods/kicker
+ ;;
+
+ install)
+ ;;
+
+ abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+
+esac
+
+#DEBHELPER#
+
+exit 0